Summary: CentOS Hyperscale SIG main repo configs
Name: centos-release-hyperscale
Version: 10
Release: 2%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Hyperscale
Source0: RPM-GPG-KEY-CentOS-SIG-HyperScale
Source1: CentOS-Stream-Hyperscale.repo
Source2: CentOS-Stream-Hyperscale-Experimental.repo
Source3: CentOS-Stream-Hyperscale-Spin.repo
Source4: CentOS-Stream-Hyperscale-Testing.repo
Source5: CentOS-Stream-Hyperscale-Spin-Testing.repo
Source6: CentOS-Stream-Hyperscale-Experimental-Testing.repo

BuildArch: noarch

Requires: centos-stream-release

# EPEL 10 is not available yet
# Requires: epel-release = %%{rhel}

# We don't have hotfixes in 10 as modularity is gone, and it was already
# obsoleted in 9; plan to remove for 11.
Obsoletes: %{name}-hotfixes < 9-4

%description
Configs for the CentOS Hyperscale SIG main package repository.

%package experimental
Summary: CentOS Hyperscale SIG experimental repo configs
Requires: %{name} = %{version}-%{release}

%description experimental
Configs for the CentOS Hyperscale SIG experimental package repository.

%package spin
Summary:  CentOS Hyperscale SIG spin repo configs
Requires: %{name} = %{version}-%{release}

%description spin
Configs for the CentOS Hyperscale SIG spin repository.

%package testing
Summary:  CentOS Hyperscale SIG main testing repository config
Requires: %{name} = %{version}-%{release}

%description testing
Repository configs for the CentOS Hyperscale SIG main testing repository.

%package spin-testing
Summary:  CentOS Hyperscale SIG spin testing repository config
Requires: %{name}-spin = %{version}-%{release}
Requires: %{name}-testing = %{version}-%{release}

%description spin-testing
Repository configs for the CentOS Hyperscale SIG spin testing repository.

%package experimental-testing
Summary:  CentOS Hyperscale SIG experimental testing repository config
Requires: %{name}-experimental = %{version}-%{release}
Requires: %{name}-testing = %{version}-%{release}

%description experimental-testing
Repository configs for the CentOS Hyperscale SIG experimental testing repository.

%prep
# Nothing to do

%install
install -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -d %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
  %{buildroot}%{_sysconfdir}/yum.repos.d

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale.repo

%files experimental
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental.repo

%files spin
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Spin.repo

%files testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Testing.repo
	
%files spin-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Spin-Testing.repo

%files experimental-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental-Testing.repo

%changelog
* Thu Jul 18 2024 Daan De Meyer <daan.j.demeyer@gmail.com> - 10-2
- Add spin and experimental testing repositories

* Wed Jun 12 2024 Davide Cavalca <dcavalca@centosproject.org> - 10-1
- Update for CentOS Stream 10

* Wed May 24 2023 Daan De Meyer <daan.j.demeyer@gmail.com> - 9-6
- Add testing repository

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@centosproject.org> - 9-5
- Fix source repo metalinks

* Wed Mar 16 2022 Neal Gompa <ngompa@centosproject.org> - 9-4
- Drop -hotfixes repo subpackage as the repo doesn't exist for 9

* Sun Mar 06 2022 Neal Gompa <ngompa@centosproject.org> - 9-3
- Add debuginfo repositories, Refresh GPG public key, and enable DNF countme

* Fri Feb 25 2022 Neal Gompa <ngompa@centosproject.org> - 9-2
- Add epel-next-release dependency

* Sun Feb 20 2022 Neal Gompa <ngompa@centosproject.org> - 9-1
- Initial package for CentOS Stream 9
